<?php

class Kalco_NotificationBBCode_Notification
{
	//Error Box
    public static function getError(array $tag, array $rendererStates, XenForo_BbCode_Formatter_Base $formatter)
    {
        $option = explode(',', $tag['option']);
        
        if (count($option) > 1) {
            $title = $option[0];
            $version = strtoupper($option[1]);
        } else {
            $title = $tag['option'];
        }
        
        $content = $formatter->renderSubTree($tag['children'], $rendererStates);
        
        $view = $formatter->getView();
        if ($view) {
            $template = $view->createTemplateObject('notification_error_template', 
                array(
                    'content' => $content,
                    'title' => $title,
                ));
            $content = $template->render();
            return trim($content);
        }
        
        return $content;
    }
	
	// success box
	public static function getSuccess(array $tag, array $rendererStates, XenForo_BbCode_Formatter_Base $formatter)
    {
        $option = explode(',', $tag['option']);
        
        if (count($option) > 1) {
            $title = $option[0];
            $version = strtoupper($option[1]);
        } else {
            $title = $tag['option'];
        }
        
        $content = $formatter->renderSubTree($tag['children'], $rendererStates);
        
        $view = $formatter->getView();
        if ($view) {
            $template = $view->createTemplateObject('notification_success_template', 
                array(
                    'content' => $content,
                    'title' => $title,
                ));
            $content = $template->render();
            return trim($content);
        }
        
        return $content;
    }
	
	// information box
	public static function getInformation(array $tag, array $rendererStates, XenForo_BbCode_Formatter_Base $formatter)
    {
        $option = explode(',', $tag['option']);
        
        if (count($option) > 1) {
            $title = $option[0];
            $version = strtoupper($option[1]);
        } else {
            $title = $tag['option'];
        }
        
        $content = $formatter->renderSubTree($tag['children'], $rendererStates);
        
        $view = $formatter->getView();
        if ($view) {
            $template = $view->createTemplateObject('notification_information_template', 
                array(
                    'content' => $content,
                    'title' => $title,
                ));
            $content = $template->render();
            return trim($content);
        }
        
        return $content;
    }
	
	// Warning box
	public static function getWarning(array $tag, array $rendererStates, XenForo_BbCode_Formatter_Base $formatter)
    {
        $option = explode(',', $tag['option']);
        
        if (count($option) > 1) {
            $title = $option[0];
            $version = strtoupper($option[1]);
        } else {
            $title = $tag['option'];
        }
        
        $content = $formatter->renderSubTree($tag['children'], $rendererStates);
        
        $view = $formatter->getView();
        if ($view) {
            $template = $view->createTemplateObject('notification_warningn_template', 
                array(
                    'content' => $content,
                    'title' => $title,
                ));
            $content = $template->render();
            return trim($content);
        }
        
        return $content;
    }
}